<?php
require_once('../com/htmlcode.php');
require_once('../com/database.php');
require_once('../com/session.php');


if($session->logged_in) {
?>

<!doctype html>
<html>
<head>
<?php require_once('../inc/common_htmlhead.inc'); ?>
<script language="javascript" type="text/JavaScript" src="../script/reg.js"></script>
<script language="javascript" type="text/JavaScript" src="../script/loadgateway.js"></script>


	<script src="../lib/jquery_plugin/arcticmodal/jquery.arcticmodal.js"></script>
	<link rel="stylesheet" href="../lib/jquery_plugin/arcticmodal/jquery.arcticmodal.css">
	<!--link rel="stylesheet" href="../lib/jquery_plugin/arcticmodal/themes/simple.css"-->
	<link rel="stylesheet" href="../lib/jquery_plugin/arcticmodal/themes/grey.css">
	
</head>

<body id="page-main">
<?php require_once('../inc/common_header.inc'); ?>


<form name="mainform">
			
	<!-- шлюзы -->
	<fieldset class="fieldset-sector" style="width:98%;">
	<legend class="legend-sector" style="cursor:pointer;" title="Add Gateway" onclick="openGatewayModalForm(1);">Gateways <img src="../inc/img/add.gif" style="vertical-align:middle;cursor:pointer;"></legend>


	<!-- фильтр -->
	<fieldset class="fieldset-filter">
	<table class="nb" style="width:100%; margin-top: 10px;">
	<tr>
	
	<td class="editLineParam" style="width:0;">address</td>
	<td class="editLineValue"><input id="eGatewayAddress" type="text" class="selectw120"/></td>
	
	<td class="editLineParam" style="width:0;">description</td>
	<td class="editLineValue"><input id="eGatewayDescription" type="text" class="selectw120"/></td>

	<td class="editLineParam">&nbsp;</td>
	
	<!-- td class="editLineParam">&nbsp;</td>
	<td style="text-align:right;"><button class="roundbtn" onclick="doGatewayFind(1); return false;">Find&nbsp;<img src="../inc/img/loupe.png" style="margin-top:0;padding-left:6px;"></button></td -->
	
	</tr>
	</table>
	
	<table class="tnp" style="width:100%;">
	<tr>
	<td style="padding-top:10px;"><button class="roundbtn" onclick="doGateway_Reset(); return false;">Reset&nbsp;<img src="../inc/img/reset.png" style="margin-top:0;padding-left:6px;"></button></td>
	<td class="editLineParam">&nbsp;</td>
	<td class="editLineParam">&nbsp;</td>
	<td class="editLineParam">&nbsp;</td>
	<td style="text-align:right;"><button class="roundbtn" onclick="doGatewayFind(1); return false;">Find&nbsp;<img src="../inc/img/loupe.png" style="margin-top:0;padding-left:6px;"></button></td>
	</tr>
	</table>
	
	</fieldset>
	
	<!-- Gateway -->
	<div id="GatewayTableRecords" style="width:100%;text-align:right;color:#777;">records: 0</div>
	
	<table id="GatewayTable" class="nb" style="width:100%">
	<tr class="editTableHeader">

		<td style="display:none">row_idx</td>
		<td style="display:none">row_mode</td>
		<td style="display:none">id</td>

		<td class="infoTableHeader">gwid</td>
		<td class="infoTableHeader" style="display:none">type</td>
		<td class="infoTableHeader">address</td>
		<td class="infoTableHeader" style="display:none">strip</td>
		<td class="infoTableHeader" style="display:none">pri_prefix</td>
		<td class="infoTableHeader">attrs</td>
		<td class="infoTableHeader">probe_mode</td>
		<td class="infoTableHeader">state</td>
		<td class="infoTableHeader" style="display:none">socket</td>
		<td class="infoTableHeader">description</td>
		<td class="infoTableHeader">&nbsp;</td>

		<td>&nbsp;</td>
		<td>&nbsp;</td>

	</tr>
	</table>
	
		<div> <table id="GatewayTablePageLine"> <tr><td></td></tr> </table> </div>
	
	</fieldset>

<!--
    id
    gwid
    "type"
    address
    strip
    pri_prefix
    attrs
    probe_mode
    state
    socket
    description
-->

	<!-- rules -->
	<fieldset class="fieldset-sector" style="width:98%;">
	<legend class="legend-sector" style="cursor:pointer;" title="Add Rule" onclick="openRuleModalForm(1);">Rules <img src="../inc/img/add.gif" style="vertical-align:middle;cursor:pointer;"></legend>


	<!-- filter -->
	<fieldset class="fieldset-filter">
	<table class="nb" style="width:100%; margin-top: 10px;">
	<tr>

	<td class="editLineParam" style="width:0;">gwid</td>
	<td class="editLineValue"><select id="selRuleGwid" type="text" class="selectw170" value="" onchange="doRuleFind(1);"></select></td>
	
	<td class="editLineParam" style="width:0;">gwlist</td>
	<td class="editLineValue"><input id="eRuleGWList" type="text" class="selectw120"/></td>
	
	<td class="editLineParam" style="width:0;">description</td>
	<td class="editLineValue"><input id="eRuleDescription" type="text" class="selectw120"/></td>
	
	<td class="editLineParam">&nbsp;</td>
	<!-- td class="editLineParam">&nbsp;</td>
	<td style="text-align:right;"><button class="roundbtn" onclick="doRuleFind(1); return false;">Find&nbsp;<img src="../inc/img/loupe.png" style="margin-top:0;padding-left:6px;"></button></td -->
	
	</tr>
	</table>
	

	<table class="tnp" style="width:100%;">
	<tr>
	<td style="padding-top:10px;"><button class="roundbtn" onclick="doRule_Reset(); return false;">Reset&nbsp;<img src="../inc/img/reset.png" style="margin-top:0;padding-left:6px;"></button></td>
	<td class="editLineParam">&nbsp;</td>
	<td class="editLineParam">&nbsp;</td>
	<td class="editLineParam">&nbsp;</td>
	<td style="text-align:right; padding-top:10px;"><button class="roundbtn" onclick="doRuleFind(1); return false;">Find&nbsp;<img src="../inc/img/loupe.png" style="margin-top:0;padding-left:6px;"></button></td>
	</tr>
	</table>

	</fieldset>
	
	<!-- Rule -->
	<div id="RuleTableRecords" style="width:100%;text-align:right;color:#777;">records: 0</div>
	
	<table id="RuleTable" class="nb" style="width:100%">
	<tr class="editTableHeader">

		<td style="display:none">row_idx</td>
		<td style="display:none">row_mode</td>

		<td style="infoTableHeader">ruleid</td>
		<td class="infoTableHeader" style="display:none">groupid</td>
		<td class="infoTableHeader">prefix</td>
		<td class="infoTableHeader" style="display:none">timerec</td>
		<td class="infoTableHeader" style="display:none">priority</td>
		<td class="infoTableHeader" style="display:none">routeid</td>
		<td class="infoTableHeader">gwlist</td>
		<td class="infoTableHeader" style="display:none">sort_alg</td>
		<td class="infoTableHeader" style="display:none">sort_profile</td>
		<td class="infoTableHeader" style="display:none">attrs</td>
		<td class="infoTableHeader">description</td>
		<td class="infoTableHeader" style="display:none">rule_type_id</td>
		<td class="infoTableHeader">rule_type</td>

		<td style="width:22px;">&nbsp;</td>
		<td style="width:22px;">&nbsp;</td>

	</tr>
	</table>
	
		<div> <table id="RuleTablePageLine"> <tr><td></td></tr> </table> </div>
	
	</fieldset>







<!-- addGatewayForm ---------------------------------------------------------------------------------- -->

	<div class="g-hidden">
	
	<div class="box-modal" id="addGatewayForm" mode="0">

		<div class="box-modal_name">Gateway</div>
		<div class="box-modal_close arcticmodal-close">close</div>


		<table>
		
		<tr style="display:none">
			<td>row_idx</td>
			<td><input id="GateForm_row_idx" type="text" value=""></td>
		</tr>
		
		<tr style="display:none">
			<td>id</td>
			<td><input id="GateForm_id" type="text" class="selectw200" readonly value=""></td>
		</tr>
		
		<tr>
			<td>gwid <span style="color:red;">*</span></td>
			<td><input id="GateForm_gwid" type="text" class="selectw200" value=""></td>
		</tr>
		<!-- tr style="display:none">
			<td>gwid_old <span style="color:red;">*</span></td>
			<td><input id="GateForm_gwid_old" type="text" class="selectw200" value=""></td>
		</tr -->


		<tr>
			<td>prefix <span style="color:red;">*</span></td>
			<td>
			<input id="GateForm_attrs_px" type="text" class="selectw200" value="">
			<input id="GateForm_attrs_old_px" type="hidden" class="selectw200" value="">
			</td>
		</tr>

		<tr style="display:none">
			<td>type <span style="color:red;">*</span></td>
			<td><input id="GateForm_type" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>address <span style="color:red;">*</span></td>
			<td><input id="GateForm_address" type="text" class="selectw200" value=""></td>
		</tr>

		<tr style="display:none">
			<td>strip <span style="color:red;">*</span></td>
			<td><input id="GateForm_strip" type="text" class="selectw200" value=""></td>
		</tr>

		<tr style="display:none">
			<td>pri_prefix</td>
			<td><input id="GateForm_pri_prefix" type="text" class="selectw200" value=""></td>
		</tr>

		<!-- tr>
			<td>attrs</td>
			<td><input id="GateForm_attrs" type="text" class="selectw200" value=""></td>
		</tr -->
		<tr>
			<td>pm</td>
			<td><input id="GateForm_attrs_pm" type="text" class="selectw200" value=""></td>
		</tr>
		<tr>
			<td>rm</td>
			<td><input id="GateForm_attrs_rm" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>probe_mode <span style="color:red;">*</span></td>
			<td>
			<select id="GateForm_probe_mode" type="text" class="selectw200" value="0">
			</select>
			<script> doSelectFromArray('GateForm_probe_mode',arr_gw_probe_mode); </script>
			</td>
		</tr>

		<tr>
			<td>state <span style="color:red;">*</span></td>
			<td>
			<select id="GateForm_state" type="text" class="selectw200" value="">
			</select>
			<script> doSelectFromArray('GateForm_state',arr_gw_state); </script>
			</td>
		</tr>
		
 		<tr style="display:none">
			<td>socket</td>
			<td><input id="GateForm_socket" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>description</td>
			<td><input id="GateForm_description" type="text" class="selectw200" value=""></td>
		</tr>


		<!-- tr>
			<td>domain</td>
			<td><select id="SubForm_domain" class="selectw200" value=""></select></td>
		</tr -->

		</table>

		<table width="100%" style="margin-top:10px;">
		<tr>
		<td style="text-align:right;"><input type="button" class="inputbt" value="Ok" style="cursor:pointer;" onclick="addGateway();"></td>
		</tr>
		</table>
			
	</div>
	
	
	</div>
	
<!-- addGatewayForm ---------------------------------------------------------------------------------- -->


<!-- addRuleForm ---------------------------------------------------------------------------------- -->

	<div class="g-hidden">
	
	<div class="box-modal" id="addRuleForm" mode="0">

		<div class="box-modal_name">Rule</div>
		<div class="box-modal_close arcticmodal-close">close</div>


		<table>
		
		<tr style="display:none">
			<td>row_idx</td>
			<td><input id="RuleForm_row_idx" type="text" value=""></td>
		</tr>
		
		<tr>
			<td>ruleid <span style="color:red;">*</span></td>
			<td><input id="RuleForm_ruleid" type="text" class="selectw200" value="" style="background: #dcdcdc;" disabled></td>
		</tr>

		<tr style="display:none">
			<td>groupid <span style="color:red;">*</span></td>
			<td><input id="RuleForm_groupid" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>prefix <span style="color:red;">*</span></td>
			<td><input id="RuleForm_prefix" type="text" class="selectw200" value=""></td>
		</tr>

		<tr style="display:none">
			<td>timerec</td>
			<td><input id="RuleForm_timerec" type="text" class="selectw200" value=""></td>
		</tr>

		<tr style="display:none">
			<td>priority <span style="color:red;">*</span></td>
			<td><input id="RuleForm_priority" type="text" class="selectw200" value=""></td>
		</tr>

		<tr style="display:none">
			<td>routeid</td>
			<td><input id="RuleForm_routeid" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>gwlist</td>
			<td>
				<input id="RuleForm_gwlist" type="text" class="selectw200" value="">
			</td>
			<td>
				<input type="button" onclick="openSelectGatewayModalForm();" value="..." style="width:22px;height:18px;margin:4px 0 0 0;cursor:pointer;" />
			</td>
		</tr>

		<tr style="display:none">
			<td>sort_alg <span style="color:red;">*</span></td>
			<td><input id="RuleForm_sort_alg" type="text" class="selectw200" value=""></td>
		</tr>

		<tr style="display:none">
			<td>sort_profile</td>
			<td><input id="RuleForm_sort_profile" type="text" class="selectw200" value=""></td>
		</tr>

		<tr style="display:none">
			<td>attrs</td>
			<td><input id="RuleForm_attrs" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>description</td>
			<td><input id="RuleForm_description" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>type_id <span style="color:red;">*</span></td>
			<td>
			<select id="GateForm_rule_type_id" type="text" class="selectw200" value="1">
			</select>
			</td>
		</tr>


		<!-- tr>
			<td>domain <span style="color:red;">*</span></td>
			<td><select id="SubForm_domain" class="selectw200" value=""></select></td>
		</tr -->

		</table>

		<table width="100%" style="margin-top:10px;">
		<tr>
		<td style="text-align:right;"><input type="button" class="inputbt" value="Ok" style="cursor:pointer;" onclick="addRule();"></td>
		</tr>
		</table>
			
	</div>
	
	
	</div>
	
<!-- addRuleForm ---------------------------------------------------------------------------------- -->




<!-- selectGatewayForm ---------------------------------------------------------------------------------- -->

	<div class="g-hidden">
	
	<div class="box-modal" id="selectGatewayForm" mode="0">

		<div class="box-modal_name">Select Gateway</div>
		<div class="box-modal_close arcticmodal-close">close</div>

	<!-- fieldset class="fieldset-sector" style="width:98%;">
	<legend class="legend-sector" style="cursor:pointer;" onclick="openGatewayModalForm(1);">Gateways <img src="../inc/img/add.gif" style="vertical-align:middle;cursor:pointer;" title="Add Gateway"></legend>

	<fieldset class="fieldset-filter">
	<table class="nb" style="width:100%; margin-top: 10px;">
	<tr>
	
	<td class="editLineParam" style="width:0;">address</td>
	<td class="editLineValue"><input id="eSelectGatewayAddress" type="text" class="selectw120"/></td>
	
	<td class="editLineParam" style="width:0;">description</td>
	<td class="editLineValue"><input id="eSelectGatewayDescription" type="text" class="selectw120"/></td>

	<td class="editLineParam">&nbsp;</td>
	
	</tr>
	</table>
	
	<table class="tnp" style="width:100%;">
	<tr>
	<td style="padding-top:10px;"><button class="roundbtn" onclick="doGateway_Reset(); return false;">Reset&nbsp;<img src="../inc/img/reset.png" style="margin-top:0;padding-left:6px;"></button></td>
	<td class="editLineParam">&nbsp;</td>
	<td class="editLineParam">&nbsp;</td>
	<td class="editLineParam">&nbsp;</td>
	<td style="text-align:right;"><button class="roundbtn" onclick="doGatewayFind(1); return false;">Find&nbsp;<img src="../inc/img/loupe.png" style="margin-top:0;padding-left:6px;"></button></td>
	</tr>
	</table>
	
	</fieldset -->

		<table id="SelectGatewayTable" class="nb" style="width:100%">
		<tr class="editTableHeader">

			<td class="infoTableHeader">gwid</td>
			<td>&nbsp;</td>

		</tr>
		</table>
	
		<div> <table id="SelectGatewayTablePageLine"> <tr><td></td></tr> </table> </div>




		<table width="100%" style="margin-top:10px;">
		<tr>
		<td style="text-align:right;"><input type="button" class="inputbt" value="Ok" style="cursor:pointer;" onclick="addSelectGateway();"></td>
		</tr>
		</table>
		
	<!-- /fieldset -->
	
			
	</div>
	
	
	</div>
	
<!-- selectGatewayForm ---------------------------------------------------------------------------------- -->



<br><br><br><br>
<div class="block-fixed">
<div class="block-fixed-footer">
<table class="nb">
<tr>
<td colspan="2" style="vertical-align:bottom"><input type="button" class="inputbt" name="ConnectionApply" value=" Save " onclick="onSaveClick();doGatewayCurrentPageRefresh();doRuleCurrentPageRefresh();"></td>
<td colspan="2" style="vertical-align:bottom"><input type="button" class="inputbt" name="ConnectionCancel" value=" Cancel " onclick="document.location.reload(true);"></td>
</tr>
</table>
</div>
</div>


</form>

<?php require_once('../inc/common_footer.inc'); ?>
</body>
</html>


<?php
} else {
	//print(LoginForm());
	$session->logout();
	header("Location: ../main.php");
}
?>