
$(document).ready( function () {

/*	
	// Dialplan Modal Form -------------------------------------
	$('.popup-open').click(function() {
		//aAddTargetID = [];
		//addFilter_Account_Type();
		$('.popup-fade').fadeIn(duration=100);
		return false;
	});	

	$('.popup-close').click(function() {
		$(this).parents('.popup-fade').fadeOut(duration=100);
		//clearAccountFind();
		return false;
	});		

	$(document).keydown(function(e) {
		if (e.keyCode === 27) {
			e.stopPropagation();
			$('.popup-fade').fadeOut(duration=100);
			//clearAccountFind();
		}
	});

	$('.popup-fade').click(function(e) {
		if ( $(e.target).closest('.popup').length == 0 && $(e.target).closest('.popup-pagenum').length == 0 ) {
			$(this).fadeOut(duration=100);	
			//clearAccountFind();
		}
	});
	// --------------------------------------------------------
*/	
	
	doSubscriberFind(1);
	get_domain();

	replaceChecks();
});


function get_subscriber_page(username,domain,email_address,viewpage){
	var result = false;

	$.ajax({
		type: 'POST',
		url: '../com/process.php',
		data: ({
			request_name:'get_subscriber_page',
			username: username,
			domain: domain,
			email_address: email_address,
			viewpage: viewpage
		}),
		dataType: 'json',
		async: !1,
		timeout: 10000,
		success: function(data) {
			if(data[0]['id'] != null){
			//$('span[id=SubscriberTableRecords]')[0].text('records: '+data[0]['pagecount']);
			//document.getElementById('SubscriberTableRecords').innerHTML = 'records: '+data[0]['reccount'];
			$.each(data, function (index, value) {
				addRowSubscriber("i",value);
			});
			}
			result = data;
		},
		error:function(){
			alert('error: get_subscriber_page');
		}
	});
	
	return result;
}

function doSubscriberFind(viewpage){
	var username = document.getElementById('eSubscriberUsername').value;
	var domain = document.getElementById('eSubscriberDomain').value;
	var email_address = document.getElementById('eSubscriberEmail').value;

	var tab = $('table[id=SubscriberTable]')[0];
	$(tab).find("tr:gt(0)").remove();
	var res = get_subscriber_page(username,domain,email_address,viewpage);

	// page numbers line
	var pagecount = res['0']['pagecount'];
	if(pagecount>0){
		var tab = $('table[id=SubscriberTablePageLine]')[0];
		var td = $(tab).find("tr:eq(0)").children("td")[0];
		td.innerHTML = '';
		for (var i = 1; i <= pagecount; i++) {
			var active_num = (viewpage == i) ? 'border: 1px solid #7484a0; border-radius: 2px;' : '';
			var active_key = (viewpage == i) ? 'active' : '';
			td.innerHTML += '<input type="button" class="popup-pagenum" value="'+i+'" item_type="pagenum" active_key="'+active_key+'" style="margin-left:1px;z-index: 99999;cursor:pointer;'+active_num+'" onclick="doSubscriberFind('+i+');">';
		}
	}
	replaceChecks();
}

function doSubCurrentPageRefresh(){
	var obj = $('input[active_key=active]')[0];
	doSubscriberFind( $(obj).val() );
}



function get_domain(){
	var result = false;

	$.ajax({
		type: 'POST',
		url: '../com/process.php',
		data: ({
			request_name:'get_domain'
		}),
		dataType: 'json',
		async: !1,
		timeout: 10000,
		success: function(data) {
			var seldomain = document.getElementById('SubForm_domain');
			var opdom = document.createElement("option");
			//opdom.innerHTML = "ANY";
			//opdom.value = "ANY";
			opdom.innerHTML = "";
			opdom.value = "";
			seldomain.appendChild(opdom);
			$.each(data, function (index, value) {
				var opdom = document.createElement("option");
				opdom.innerHTML = value['domain'];
				opdom.setAttribute('value',value['domain']);
				seldomain.appendChild(opdom);
			});
			
			result = data;
		},
		error:function(){
			alert('error: get_db_options');
		}
	});
	
	return result;
}


function onSaveClick(){

	$('tr[type=subscriber_row]','table[id=SubscriberTable]').each(function() { 
		
		var row_idx = $('td:eq(0)',this).text();
		var mode = $('td:eq(1)',this).text();
		
		if(mode == "a" || mode == "e"){
			//var id = Number($('td:eq(2)',this).text()) == NaN ? null : Number($('td:eq(2)',this).text());
			//var id = Number($('td:eq(2)',this).text());
			var id = $('td:eq(2)',this).text() == 'undefined' ? null : Number($('td:eq(2)',this).text());
			var username = $('td:eq(3)',this).text();
			var domain = $('td:eq(4)',this).text();
			var password = $('td:eq(5)',this).text();
			var email = $('td:eq(7)',this).text();
			var recorder_address = $('td:eq(8)',this).text();
			//var proxy_media = $('td:eq(9)',this).attr('val');
			var proxy_media = $('input[id=ch_proxy_media_'+row_idx+']',this).attr('value');

			//alert(id+' '+username+' '+domain+' '+password+' '+email+' '+recorder_address+' '+proxy_media);
			save_subscriber(id,username,domain,password,email,recorder_address,proxy_media);
		}

		if(mode == "d"){
			var id = Number($('td:eq(2)',this).text());
			del_subscriber(id);
		}
		
	});

}

function save_subscriber(id,username,domain,password,email,recorder_address,proxy_media){
	$.ajax({
		type: 'POST',
		url: '../com/process.php',
		data: ({
			request_name:'save_subscriber',
			id: id,
			username: username,
			domain: domain,
			password: password,
			email: email,
			recorder_address: recorder_address,
			proxy_media: proxy_media
		}),
		dataType: 'json',
		async: !1,
		timeout: 10000,
		success: function(data) {
		},
		error:function(){
			alert('error: save_subscriber');
		}
	});
}

function del_subscriber(id){
	$.ajax({
		type: 'POST',
		url: '../com/process.php',
		data: ({
			request_name:'del_subscriber',
			id: id
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
		},
		error:function(){
			alert('error: del_subscriber');
		}
	});
}


function delSubscriber(obj){
	
	obj = obj.parentElement.parentElement;
	var row_idx = $("td:eq(0)", obj).text();
	var row_mode = $("td:eq(1)", obj).text();
	//alert(row_idx+' '+row_mode);
	
	if(row_mode == 'a') { 
		obj.remove(); 
	}
	else { 
		if(row_mode != 'd') { 
			$("td:eq(1)", obj).attr('row_mode','d'); 
			$("td:eq(1)", obj).text('d'); 
			$('td:visible',obj).attr('style','text-decoration:line-through;font-style:italic; color:#ff4444;');
			$(obj).children('td').css("backgroundColor","#f5f5f5");
		}
		else { 
			$("td:eq(1)", obj).attr('row_mode','e'); 
			$("td:eq(1)", obj).text('e'); 
			$('td:visible',obj).attr('style','text-decoration:none;font-style:normal; color:#777;');
			$(obj).children('td').css("backgroundColor","#ffc4c4");
		}
	}

}

/*
function check_sip_account_name(name){
	var result = false;

	$.ajax({
		type: 'POST',
		url: '../com/process.php',
		data: ({
			request_name:'check_sip_account_name',
			name: name
		}),
		dataType: 'json',
		async: !1,
		timeout: 10000,
		success: function(data) {
			if(data[0]['name_exist'] == 1) result = true;
			//result = data;
		},
		error:function(){
			alert('error: check_sip_account_name');
		}
	});

	$('tr[type=resourcerow]','table[id=ResourceTable]').each(function() { 
		if( $('td:eq(4)',this).text() == name ) result = true;
	});
	
	return result;
}
*/


function addRowSubscriber(mode,value){
	var tab = document.getElementById('SubscriberTable');

	if(!value || value==null){
		value = {
			"id": "", 
			"username": "", 
			"domain": "", 
			"username_full": "",
			"password": "", 
			"email_address": "", 
			"ha1": "", 
			"ha1_sha256": "", 
			"ha1_sha512t256": "", 
			"rpid": "", 
			"recorder_address": "", 
			"proxy_media": "", 
			"contact_count": "", 
			"pagecount": ""
		};
	}
	if( value["proxy_media"] != 1 ) value["proxy_media"] = 0;

	//var row_idx = $('tr[type=subscriber_row]').length + 1;
	var row_mode = mode;
	var row_idx = 1;
	$('tr[type=subscriber_row]').each(function() { 
		var idx = Number($('td:eq(0)',this).text()) + 1;
		if( idx > row_idx ) row_idx = idx;
	});

	document.getElementById('SubscriberTableRecords').innerHTML = 'records: '+ row_idx;

	var tr = document.createElement("tr");
	tr.className = "bgsel";
	tr.setAttribute("type","subscriber_row");
	tr.ondblclick = function(){ openSubscriberModalForm(2,row_idx); };
	//tr.setAttribute("row_idx",row_idx);

	//<!-- 0 -->
	var td = document.createElement("td");
	td.setAttribute("row_idx",row_idx);
	td.style.display = "none";
	td.innerHTML =	row_idx;
	tr.appendChild(td);
	var td = document.createElement("td");
	td.setAttribute("row_mode",row_mode);
	td.style.display = "none";
	td.innerHTML =	row_mode;
	tr.appendChild(td);
	
	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.style.display = "none";
	td.innerHTML = value["id"];
	tr.appendChild(td);
	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.style.display = "none";
	td.innerHTML = value["username"];
	tr.appendChild(td);
	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.style.display = "none";
	td.innerHTML = value["domain"];
	tr.appendChild(td);
	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.style.display = "none";
	td.innerHTML = value["password"];
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = value["username_full"];
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = value["email_address"];
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = value["recorder_address"];
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.width = "40px";
	td.style="padding-left:10px;";
	if( value["proxy_media"] == 1 ) chkey = "checked"; else chkey = "";
	//alert(chkey);
	td.innerHTML = "<input type=\"checkbox\" class=\"selectw\" " +
		"name=\"ch_proxy_media_"+row_idx+"\" " +
		"id=\"ch_proxy_media_"+row_idx+"\" " +
		"value=\""+value["proxy_media"]+"\" " +
		chkey+
		" onchange=\"doRowEdt(this);\" "+
		"/>";	
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.width = "40px";
	td.style="padding-left:20px;";
	if(value["contact_count"]>0){ 
		td.innerHTML = "<span class='countbtn' onclick=\"openLocationModalForm('"+value["username"]+"','"+value["domain"]+"');\" >"+value["contact_count"]+"</span>";
	} else {
		td.innerHTML = "";
	}
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = "<img class=\"imglink\" style=\"display:inline;float:right;\" onclick=\"openSubscriberModalForm(2,"+row_idx+");\" title=\"Edit Subscriber\" src=\"../inc/img/edt.gif\">";
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = "<img class=\"imglink\" style=\"display:inline;float:right;\" onclick=\"delSubscriber(this);\" title=\"Delete Subscriber\" src=\"../inc/img/del.gif\">";
	tr.appendChild(td);


	tab.appendChild(tr);

	tr.addEventListener('mouseover', function () {
        tr.style.backgroundColor='#D3D3D3';
    });
    tr.addEventListener('mouseleave', function () {
        tr.style.backgroundColor='#F5F5F5';
    });	

	if(mode == "a") $(tr).children('td').css("backgroundColor","#c4ffc4");
	
}

function doRowEdt(obj){
	
	var row = $(obj).parent().parent();
	if($("td:eq(1)", row).text() != "a") {
		$("td:eq(1)", row).text("e");
		$("td:eq(1)", row).attr("row_mode","e");
		$(row).children('td').css("backgroundColor","#ffc4c4");
	}

}


function openSubscriberModalForm(mode, row_idx){
	
	document.getElementById('addSubscriberForm').setAttribute('mode',mode);
	$('input[id^="SubForm_"]').val("");
	
	if(mode == 1){
	
		checkSetValue('SubForm_proxy_media',0);
	
	}

	if(mode == 2){
		
		var tab = document.getElementById('SubscriberTable');
		var row = $("tr",tab).eq(row_idx);
		$('input[id="SubForm_row_idx"]').val(row_idx);

		var cell = $("td:eq(2)", row).text();
		document.getElementById('SubForm_id').value = cell;

		var cell = $("td:eq(3)", row).text();
		document.getElementById('SubForm_username').value = cell;

		var cell = $("td:eq(4)", row).text();
		document.getElementById('SubForm_domain').value = cell;

		var cell = $("td:eq(5)", row).text();
		document.getElementById('SubForm_password').value = cell;

		var cell = $("td:eq(7)", row).text();
		document.getElementById('SubForm_email_address').value = cell;

		var cell = $("td:eq(8)", row).text();
		document.getElementById('SubForm_recorder_address').value = cell;
		
		//var cell = $("td:eq(9)", row).text();
		//document.getElementById('SubForm_proxy_media').value = cell;
		var cell = $('input[id=ch_proxy_media_'+row_idx+']',row).attr('value');
		checkSetValue('SubForm_proxy_media',cell);

	}
	
	$('#addSubscriberForm').arcticmodal();
}


function addSubscriber(){
	var tab = document.getElementById('SubscriberTable');
	var mode = document.getElementById('addSubscriberForm').getAttribute('mode');

	//var accounttype = $("select[id=ResForm_accounttype] option:selected").text();
	//var tr_name = $("select[id=ResForm_tr_id] option:selected").text();


	var username_full = document.getElementById('SubForm_domain').value == '' ? document.getElementById('SubForm_username').value : document.getElementById('SubForm_username').value + '@' + document.getElementById('SubForm_domain').value;
	var value = {
		"username": document.getElementById('SubForm_username').value, 
		"domain": document.getElementById('SubForm_domain').value, 
		"username_full": username_full, 
		"password": document.getElementById('SubForm_password').value, 
		"email_address": document.getElementById('SubForm_email_address').value, 
		"recorder_address": document.getElementById('SubForm_recorder_address').value, 
		"proxy_media": document.getElementById('SubForm_proxy_media').value
	};

	//var name_exist = check_sip_account_name(value['name']);
	//if( name_exist ) { alert('An account with this name already exists!'); return; }

	if(mode == 1){ // add
		addRowSubscriber("a",value);
	}
	if(mode == 2){ // edt
		var row_idx = $('input[id="SubForm_row_idx"]').val();
		edtRowSubscriber(row_idx,value);
	}
	
	$('#addSubscriberForm').arcticmodal('close');
	replaceChecks();
}

function edtRowSubscriber(row_idx,value){
		var tab = document.getElementById('SubscriberTable');
		var row = $("tr",tab).eq(row_idx);

		if($("td:eq(1)", row).text() != "a") $("td:eq(1)", row).text("e");
		//$("td:eq(2)", row).text(value['id']);

		$("td:eq(3)", row).text(value['username']);
		$("td:eq(4)", row).text(value['domain']);
		$("td:eq(5)", row).text(value['password']);
		$("td:eq(6)", row).text(value['username_full']);
		$("td:eq(7)", row).text(value['email_address']);
		$("td:eq(8)", row).text(value['recorder_address']);
		//$("td:eq(9)", row).text(value['proxy_media']);
		checkSetValue('ch_proxy_media_'+row_idx,value['proxy_media']);
		
		if($("td:eq(1)", row).text() != "a") $(row).children('td').css("backgroundColor","#ffc4c4");
}


function openLocationModalForm(username, domain){
	var tab = $('table[id=LocationTable]')[0];
	$(tab).find("tr:gt(0)").remove();
	get_user_location(username,domain);
	$('#viewLocationForm').arcticmodal();
}

function get_user_location(username,domain){
	var result = false;

	$.ajax({
		type: 'POST',
		url: '../com/process.php',
		data: ({
			request_name:'get_user_location',
			username: username,
			domain: domain
		}),
		dataType: 'json',
		async: !1,
		timeout: 10000,
		success: function(data) {
			if(data[0]['contact_id'] != null){
			$.each(data, function (index, value) {
				//alert(value['contact_id']);
				addRowLocation(value);
			});
			}
			result = data;
		},
		error:function(){
			alert('error: get_user_location');
		}
	});
	
	return result;
}

function addRowLocation(value){
	var tab = document.getElementById('LocationTable');

	if(!value || value==null){
		value = {
			"contact_id": "", 
			"username": "", 
			"domain": "", 
			"contact": "", 
			"received": "", 
			"path": "", 
			"expires": "", 
			"q": "", 
			"callid": "", 
			"cseq": "", 
			"last_modified": "", 
			"flags": "", 
			"cflags": "", 
			"user_agent": "", 
			"socket": "", 
			"methods": "", 
			"sip_instance": "", 
			"kv_store": "", 
			"attr": ""
		};
	}

	var row_idx = $('tr[type=location_row]').length + 1;
	var row_mode = "i";
	/*var row_idx = 1;
	$('tr[type=subscriber_row]').each(function() { 
		var idx = Number($('td:eq(0)',this).text()) + 1;
		if( idx > row_idx ) row_idx = idx;
	});*/


	var tr = document.createElement("tr");
	tr.className = "bgsel";
	tr.setAttribute("type","location_row");

	var td = document.createElement("td");
	td.setAttribute("row_idx",row_idx);
	td.style.display = "none";
	td.innerHTML =	row_idx;
	tr.appendChild(td);

	var td = document.createElement("td");
	td.setAttribute("row_mode",row_mode);
	td.style.display = "none";
	td.innerHTML =	row_mode;
	tr.appendChild(td);
	
	var td = document.createElement("td");
	td.style.display = "none";
	td.innerHTML = value["contact_id"];
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = value["username"];
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = value["domain"];
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = value["contact"];
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = value["expires"];
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = value["cseq"];
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = value["last_modified"];
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = value["user_agent"];
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = value["socket"];
	tr.appendChild(td);

	var td = document.createElement("td");
	td.className = "infoTableCell";
	td.innerHTML = value["methods"];
	tr.appendChild(td);

	tab.appendChild(tr);

	tr.addEventListener('mouseover', function () {
        tr.style.backgroundColor='#D3D3D3';
    });
    tr.addEventListener('mouseleave', function () {
        tr.style.backgroundColor='#F5F5F5';
    });	

}

function doSubscriber_Reset(){
	document.getElementById('eSubscriberUsername').value = '';
	document.getElementById('eSubscriberDomain').value = '';
	document.getElementById('eSubscriberEmail').value = '';
	doSubscriberFind(1);
}
